import { Diagram } from '../../../core/models/diagram.model';
import { ArrayCheckerService } from './array-checker.service';
export declare class DiagramService {
    private arrayCheckerSeviceService;
    constructor(arrayCheckerSeviceService: ArrayCheckerService);
    private returnDiagram(diagramJSON);
    returnDiagrams(diagramsAsJSON: any): Diagram[];
}
